﻿@model SportsClub.Models.EmergencyContactViewModel

@using Jumbula.Common.Helper

@{
    var relationship = Enum.GetValues(typeof(Relationship)).Cast<Relationship>().Select(d => new SelectListItem { Text = d.ToDescription(), Value = d.ToString() }).ToList();
}

@using (Html.BeginForm("EmergencyContact", "Registrant", FormMethod.Post, new { @id = "EmergencyContact", @name = "myForm" }))
{
    @Html.AntiForgeryToken()

    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label class="title ng-binding req-star">First name </label>
                @Html.TextBoxFor(model => model.FirstName, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="title ng-binding req-star ">Last name </label>
                @Html.TextBoxFor(model => model.LastName, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.LastName, "", new { @class = "text-danger" })
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label class="title ng-binding">Primary phone</label>
                @Html.TextBoxFor(model => model.PrimaryPhone, new { @class = "form-control mask_phone-us" })
                @Html.ValidationMessageFor(model => model.PrimaryPhone, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="title ng-binding">Alternate phone</label>
                @Html.TextBoxFor(model => model.CellPhone, new { @class = "form-control mask_phone-us" })
                @Html.ValidationMessageFor(model => model.CellPhone, "", new { @class = "text-danger" })
            </div>
        </div>
    </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="title ng-binding">Email</label>
                    @Html.TextBoxFor(model => model.Email, new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="title ng-binding">Relationship</label>
                    @Html.DropDownListFor(model => model.Relationship, relationship, "Select relationship", new { @class = "form-control select-date", @id = "countries" })

                </div>
            </div>
        </div>

        @Html.Hidden("Id", Model.Id, new { id = "hdnId" })
        @Html.Hidden("ContactId", Model.ContactId, new { id = "hdnContactId" })
        @Html.Hidden("UserId", Model.UserId, new { id = "hdnUserId" })
        @Html.Hidden("PageMode", Model.PageMode, new { id = "hdnPageMode" })

        <div class="row">
            <div class="col-md-12">
                <a onClick="EditDetailsPlayer()" class="btn btn_side-right-bottom btn_color-green" style="margin-top:0 !important;">Submit</a>
                <a href="@Url.Action("GetFamiliesProfile", "Registrant")" class="btn btn_side-right-bottom btn_type-simple" style="margin-top:0 !important;">Cancel</a>
                <div class="clearfix"></div>
            </div>
        </div>



}





